---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Minigames/07_Jimmy/Anim/"
---------------------------------------------------------------------------------------
createCompositioneffect = nil
createCompositionMain = nil
---------------------------------------------------------------------------------------
createCompositioneffect = function()
	local compositioneffect = CreateCompositionSequence()
	local compositionDuration = 1.54166666666667
	compositioneffect:setDuration(compositionDuration)
	compositioneffect:setName("compositioneffect" )
	compositioneffect:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."blue_smoke_[].jpg")
	element:setName("Layer_1")
	compositioneffect:addElement(element)
	element:setHotSpot(101, 96)
	element:setParentElement(compositioneffect)
	element:setXY(962, 384)
 
	element:setScale(4.01,4.01)
					local anim = element
					anim:setAnimationSize(202,192)
					anim:setFramesCount(37)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1.54166666666667)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."krug_[].jpg")
	element:setName("Layer_2")
	compositioneffect:addElement(element)
	element:setHotSpot(129.5, 128.5)
	element:setParentElement(compositioneffect)
	element:setXY(960, 404)
 
	element:setScale(3.09953307392996,3.09953307392996)
					local anim = element
					anim:setAnimationSize(259,257)
					anim:setFramesCount(36)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1.5)
	effector:play()
 
	compositioneffect:play()
 
	return compositioneffect
end
 
createCompositionMain = function()
	local compositionMain = CreateCompositionSequence()
	local compositionDuration = 8
	compositionMain:setDuration(compositionDuration)
	compositionMain:setName("compositionMain" )
	compositionMain:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositioneffect()
	element:setName("Layer_1")
	compositionMain:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionMain)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1.5)
	effector:play()
 
	compositionMain:play()
 
	return compositionMain
end
 
